var pm2 = require('pm2')
  , path = require('path')
  ;

module.exports = {
    server : function( options ){
        console.log("options->", options);
        process.env.gulp_connect_pm2_opt = JSON.stringify(options);
        
        // Connect or launch PM2
        pm2.connect(function(err) {
        
          // Start a script on the current folder
          pm2.start(path.join(__dirname,'./pm2Boot.js'), { 
                name: 'test',
                force : true
            }, function(err, proc) {

            if (err) throw new Error('err');

            // Get all processes running
            pm2.list(function(err, process_list) {
        
              // Disconnect to PM2
              pm2.disconnect(function() { process.exit(0) });
            });
          });
        })
    }
}

